KJL BUGS - Bug #3450

[HR-Payroll]perbaikan engine payroll dimana pada saat ada overtime setengah jam itu tidak terhitung
, dimana seharusnya ada 19 jam masih membaca 18 jam. contoh employeeid 22080297 running
payroll februari 2025.

02/25/2025 03:41 PM - Muhammad Bintar

Status:
Priority:
Assignee:
Category:

Target version:

Closed
High
Tri Rizqiaty

Start date:

Due date:

% Done:
Estimated time:

Spent time:

02/25/2025
02/28/2025
0%

0.00 hour
0.00 hour

Description

dear tim developer mohon supportnya untuk perbaikan engine payroll dimana pada saat ada overtime setengah jam itu tidak
terhitung , dimana seharusnya ada 19 jam masih membaca 18 jam. contoh employeeid 22080297 running payroll februari 2025.
Employee I0: PP0R0797
Run Period Year:
022025
Pay Period Year: 022025
Report Result 4
" 1 of1 b Export
_ -
1002 Gaji Pokok (Bulanan) 1.00000| 0 o 0 | A Y N N =] ¥ 100.0000000 5000 Y co
1004 Gaji Pokok (Bulanan Pandaw) 1.00000| 0 o 0 | A Y N M D ¥ 100.0000000 5000 ¥ co
1010 Gaji Pokok (Direct) 1.00000| 2,500,000 2.500.000 2,500,000 | A Y N N =] ¥ 100.0000000 5000 Y co
4000 [Tunjangan Jabatan 1.00000 0 0 of 1 ¥ ¥ N N 12 N 100.0000000 5000 N co
4007 Tunjangan Jabatsn Bulanan (Direct} 1.00000| 300,000 300,000 300,000 | A Y N N =] ¥ 100.0000000 5000 ¥ co
4009 Usng Sakit SKD 1.00000| 0 o 0 | A Y N N =] ¥ 100.0000000 5000 N co
4012 Tunjangan Long Shift {Dirzct) 1.00000| 500,000 500,000 500,000 | A Y N M D ¥ 100.0000000 5000 ¥ co
4005 Usng Makan 1.00000| 0 o 0 | A Y N N 12 N 100.0000000 5000 N
4006 [Usng Mskan (Direct) 1.00000 0 [} of ¥ ¥ N N D ¥ 100.0000000 5000 N
4008 Usng Makan Driver 150k 1.00000| 0 o 0 | A Y N M 12 N 100.0000000 5000 N
4010 Usng Transpertasi 1.00000| 0 o 0 | A Y N N 12 N 100.0000000 5000 N
4011 Usng Transportasi {Direct) 1.00000| 0 o 0 | A Y N M D ¥ 100.0000000 5000 N
4012 Tunjangan Kinerja (Direct) 1.00000| 0 o 0 | A Y N N =] ¥ 100.0000000 5000 N
D302 Bonus Tahunan (-} 1.00000| 0 o 0 o N Y N N =] ¥ 100.0000000 5000 N
| TuniLembar 150° 100000 1 [ o1 ¥ k3 N N 12 N S003[ 100000000  Goo0| M
|
005 Lembur (+) 18.00000 19,200 345,800 345,600 I | A Y N N 12 N 100.0000000 5000 N
T ] A Y N N ] N B00%|  150.0000000 5000 N
— i - 15.39
PLIL Plastic inderesi
Time Data
My Workplaca HOME > TIME DATA
[Financial Accounting
Employee Overview - 22080297 - Saeful Bahri -
Human Resource L Bal
Logistic & Service Employee |10 22080297 Company ID: PT. KJL Plastic Indonesia
Full Mame: Saeful Bah Employee Offica: PT. KJL Plastic Indonesia
System Administration ! e ! plays ' et indeneE=E
Employee Status: Active Organization: GA & Legal Admin
Employee Type: PEKWT Pasition: Operatar Forklift

Absence Attendanee Work Sehedule Personal Werk Schedule

Action Clear Filters
Start Date End Date OvertimeType  Day Before Flag  DayType StartPlan EndPlan  Plan Duration  Start Time End Time Duration Notes

9/00(2000  29/00/30%0 @ uo wisT1  ogm 1207 oo nam 200 on LENEIE aE Ca
29/01/2025  29/01/2025 A NO SwH2 1001 131 10.50 1001 18:31 8.50 Tanggal Merah
23/00/2025  23/09/2025 A NO SWH1 o701 WE 10.50 o701 17:31 10.50 Tanggal Merah
26/0%/2024 26/0%/2024 B ND SwH2 0701 001 3.00 0701 10:01 3.00 menggantikan nawan sakit
25/09/2024  25/09/2024 B NO SWH1 0831 1001 150 0831 10:01 150 menggantikan nawan sakit
21/07/2024  21/07/2024 A NO SHIFT1 0801 1401 6.00 0801 1am 6.00 LEMBUR MINGGU
20/07/2024  20/07/2024 A ND SHIFTZ 27101 2301 200 2101 2301 200 LEMBUR SABTU
14/07/2024  14/07/2024 A ND SHIFTZ 1501 2201 700 1501 220 7.00 LEMBUR MINGGU
13/07/2024  13/07/2024 A ND SHIFTT 1401 1501 100 1401 15:01 100 LEMBUR SABTU
07/07/2024  07/07/2024 A NO SHIFTZ 1501 220 7.00 1501 22:01 7.00 LEMBUR MINGGU
Page 1
aplikasi http:/remote.minovais.com:61140/
aplikasi ada di remote desktop port 3392
namanya minova es kjl base server cloud
database sqgl 2022
192.168.3.105\MSSQLSERVER2022
minovaes_kjl_BaseServercloud

History
#1 - 02/25/2025 03:55 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 02/27/2025 02:54 PM - Tri Rizqgiaty

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

Bintar, sebelum difixing, KJL udah pakai dll payroll pajak TER blm ya?
Ini dil payroll di port ini msh tahun 2023, belum pakai pajak TER.

#3 - 02/27/2025 03:28 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test

Fixing : Update ke enginge TER ya.

#4 - 03/05/2025 10:00 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

okeh sudah di deploy ke client.
